# Uses of Class
org.apache.solr.common.SolrDocument

Packages that use SolrDocument
Package
Description
org.apache.solr.client.solrj
Primary APIs for communicating with a Solr Server from a Java client.
org.apache.solr.client.solrj.beans
Annotation based mapping of client objects to Solr documents.
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.
org.apache.solr.common
Common classes reused on both clients & server for dealing with `documents to be indexed` and `result documents`.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of SolrDocument in org.apache.solr.client.solrj

Methods in org.apache.solr.client.solrj that return SolrDocument
Modifier and Type
Method
Description
`SolrDocument`
SolrClient.`getById(String id)`
Retrieves the SolrDocument associated with the given identifier.
`SolrDocument`
SolrClient.`getById(String collection, String id)`
Retrieves the SolrDocument associated with the given identifier.
`SolrDocument`
SolrClient.`getById(String collection, String id, SolrParams params)`
Retrieves the SolrDocument associated with the given identifier and uses the SolrParams to execute the request.
`SolrDocument`
SolrClient.`getById(String id, SolrParams params)`
Retrieves the SolrDocument associated with the given identifier and uses the SolrParams to execute the request.

## Uses of SolrDocument in org.apache.solr.client.solrj.beans

Methods in org.apache.solr.client.solrj.beans with parameters of type SolrDocument
Modifier and Type
Method
Description
`<T> T`
DocumentObjectBinder.`getBean(Class<T> clazz, SolrDocument solrDoc)`

## Uses of SolrDocument in org.apache.solr.client.solrj.response

Methods in org.apache.solr.client.solrj.response that return SolrDocument
Modifier and Type
Method
Description
`protected SolrDocument`
XMLResponseParser.`readDocument(XMLStreamReader parser)`
Methods in org.apache.solr.client.solrj.response with parameters of type SolrDocument
Modifier and Type
Method
Description
`abstract void`
StreamingResponseCallback.`streamSolrDocument(SolrDocument doc)`

## Uses of SolrDocument in org.apache.solr.common

Methods in org.apache.solr.common that return types with arguments of type SolrDocument
Modifier and Type
Method
Description
`List<SolrDocument>`
SolrDocument.`getChildDocuments()`
Methods in org.apache.solr.common with parameters of type SolrDocument
Modifier and Type
Method
Description
`void`
SolrDocument.`addChildDocument(SolrDocument child)`
Method parameters in org.apache.solr.common with type arguments of type SolrDocument
Modifier and Type
Method
Description
`void`
SolrDocument.`addChildDocuments(Collection<SolrDocument> children)`
`void`
SolrDocument.`visitSelfAndNestedDocs(BiConsumer<String,SolrDocument> consumer)`
Beta API; may change at will.

## Uses of SolrDocument in org.apache.solr.common.util

Methods in org.apache.solr.common.util that return SolrDocument
Modifier and Type
Method
Description
`SolrDocument`
JavaBinCodec.`readSolrDocument(DataInputInputStream dis)`
Methods in org.apache.solr.common.util with parameters of type SolrDocument
Modifier and Type
Method
Description
`void`
JavaBinCodec.`writeSolrDocument(SolrDocument doc)`